apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "sftp_server.fullname" . }}
  labels:
    {{- include "sftp_server.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      {{- include "sftp_server.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "sftp_server.selectorLabels" . | nindent 8 }}
    spec:
      volumes:
        - name: users
          secret:
            secretName: sftp-users
        - name: sftp-gcloud-key
          secret:
            secretName: sftp-gcloud-key
        - name: sftp-gcs-mounts
          configMap:
            name: sftp-gcs-mounts
            defaultMode: 0744
      containers:
        - name: {{ .Chart.Name }}
          image: "{{ .Values.container_image }}:{{ .Chart.AppVersion }}"
          env:
            - name: STORE_BUCKET_NAME
              value: "{{ .Values.bucket_names.file_store }}"
          ports:
            - name: sftp
              containerPort: 22
              protocol: TCP
          volumeMounts:
            - mountPath: /etc/sftp
              name: users
            - mountPath: /credentials
              name: sftp-gcloud-key
            - mountPath: /etc/sftp.d/
              name: sftp-gcs-mounts
